> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fretatech.app.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Exclusão de oportunidade

> Remove uma oportunidade



## OpenAPI

````yaml /api-reference/oportunidades.yaml delete /opportunity/{id}
openapi: 3.0.4
info:
  title: API de Oportunidades
  description: API de integração de Oportunidades.
  contact:
    email: ti@fretatech.com.br
  version: 1.0.0
servers:
  - url: https://fretatech.com.br/api
security: []
tags:
  - name: Oportunidades
    description: Operações com oportunidades
  - name: Origens de Oportunidades
    description: Operações com origens de oportunidades
paths:
  /opportunity/{id}:
    delete:
      tags:
        - Oportunidades
      summary: Exclusão de oportunidade
      description: Remove uma oportunidade
      operationId: deleteOpportunity
      parameters:
        - name: id
          in: path
          description: ID da oportunidade
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: Oportunidade deletada com sucesso
        '404':
          description: Oportunidade não encontrada
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        msg:
          type: string
          example: Erro interno no servidor
        error:
          type: string
          example: Internal Server Error
      xml:
        name: error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````